/*
    Copyright (C) 2002, Steve Lhomme <steve.lhomme @ free.fr>
    This file is part of mpa2wav.

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with Foobar; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/
/**
    \file processus.h
    Convert MPEG I/II Layer 1/2/3 to RIFF/WAV/MPEG files
*/

#ifndef _M2W_PROCESSUS_H_
#define _M2W_PROCESSUS_H_

#include "Config.hpp"
#include <string>

const char version[] = "0.4.2";

START_M2W_NAMESPACE

#ifdef  __cplusplus
extern "C" {
#endif

int process(const std::string & input_Filename, const std::string & output_Filename, bool bKeepAll = false, bool bVerbose = true, bool bVerboseMore = true);

#ifdef  __cplusplus
}
#endif

END_M2W_NAMESPACE

#endif // _M2W_PROCESSUS_H_
